using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZSMusic.Model;

namespace ZSMusic.IDAL
{
    public interface IMusic
    {
        List<ZSMusic.Model.Music> Search(string word, int page, int num);
        List<ZSMusic.Model.Music> SearchCollection(string id);
        List<ZSMusic.Model.Music> SearchAlbum(string id);
        bool GetData(Music m, string type = "all");
    }
}
